Module java.base
Package java.io

# Class SyncFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.SyncFailedException

All Implemented Interfaces:
  `Serializable`

public class SyncFailedException extends IOException
Signals that a sync operation has failed.

Since:
  1.1
See Also:
  - `FileDescriptor.sync()`
  - `IOException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SyncFailedException(String desc)`
Constructs an SyncFailedException with a detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyncFailedException

public SyncFailedException(String desc)
Constructs an SyncFailedException with a detail message. A detail message is a String that describes this particular exception.

Parameters:
  `desc` - a String describing the exception.